<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/emailencryption/class/view/adminemailencryptionview.class.php" );

	class AdminEmailEncryptionAction extends AdminAction
	{

		function AdminEmailEncryptionAction($actionInfo, $request)
		{
			$this->AdminAction($actionInfo, $request);
		}

		function perform()
		{
       		$this->_view = new AdminEmailEncryptionView($this->_blogInfo);

			$this->setCommonData();

			return true;
		}
	}
?>